/**
 * Created by nl12 on 16/03/2016.
 */
"use strict";
window.onload = ()=> {
    //Get elements
    let sigChart = new Chart(document.getElementById("sigCanvas"), 100);
    let cwList = document.getElementById("cwList");
    let tokenName = "WebDemo.ist";

    //Register listeners
    intrasonics.on("performance", (message)=> {
        sigChart.append(message.signalStrength, message.scheme);
    });

    intrasonics.on("codeword", (codeword)=> {
        console.log(codeword);
        var li = document.createElement("li");
        li.appendChild(document.createTextNode(new Date().toISOString() + " " +JSON.stringify(codeword)));
        cwList.insertBefore(li, cwList.childNodes[0]);
    });

    intrasonics.on("error", message=>alert(JSON.stringify(message)));

    intrasonics.loadToken(tokenName)
        .then(() => console.log("Token loaded"))
        .catch((err) => console.log("Token Loaded Errors:"+err));
};

